*
      PROGRAM  TCL_GEEV1N
*
      include 'mpif.h'
*
      INTEGER            CTXT, N, NPROW, NPCOL, NB, NPRT, MEMSIZE,
     $                   NOUT1, NOUT, NPR
      PARAMETER          ( N=7000, NB=254, MEMSIZE= 7300000, NPRT= 2 )
*
      DOUBLE PRECISION   AMEM( MEMSIZE )
      CHARACTER          INFILEA*(*),OUTFILE*(*),TFILE*(*)
      PARAMETER         ( NOUT1 = 12, NOUT =13, NPR = 6 )
      PARAMETER         ( INFILEA = '  ', INFILEB = '  ',
     $                    OUTFILE = 'cal_geev1n.res',
     $                    TFILE = 'cal_geev1n.tres')
*
      DOUBLE PRECISION    time
      COMMON            time, J
      EXTERNAL         CAL_GEEV1N, BLACS_GET, BLACS_GRIDINIT,
     $                 BLACS_GRIDINFO
*
      NPROW = 2
      NPCOL = 4
*
      J = 1
*
      CALL BLACS_GET( -1, 0, CTXT )
*
      CALL BLACS_GRIDINIT( CTXT, 'R', NPROW, NPCOL )
      CALL BLACS_GRIDINFO( CTXT, NPROW, NPCOL, MYROW, MYCOL )
*
      IF( MYROW.EQ.0 .AND. MYCOL.EQ.0 ) THEN
*
*       
*
         OPEN( NOUT1, FILE = TFILE, STATUS = 'UNKNOWN' )
*      ,
*  ,     
*
         WRITE( NOUT1, FMT = 2007 )'PDGEEV1', N, NPROW*NPCOL, NB
*
**         WRITE( NOUT1, FMT = 9999 )time, time1, time2
      END IF
*
      CALL CAL_GEEV1N( N, NPROW, NPCOL, AMEM, MEMSIZE, NB,
     $                INFILEA, OUTFILE, TFILE, NPRT, CTXT)
*
*      
*  ,    
*
   32   IF( MYROW.EQ.0 .AND. MYCOL.EQ.0 ) THEN
          WRITE( NPR, FMT = 2001 ) NPROW, NPCOL, NB, time
*
*      
*  ,    
*
         WRITE( NOUT1, FMT = 2001 ) NPROW, NPCOL, NB, time
*
        END IF
*
*     
      CLOSE( NOUT1 )
*
      CALL BLACS_GRIDEXIT( CTXT )
*   BLACS'
      CALL BLACS_EXIT( 0 )
*
 2007 FORMAT( /A8,'  N = ',I5,'   NPROCS = ',I3,'  NB = ',I3/)
 2001 FORMAT( '    (',I3,','I3,
     $        ' )   NB = ', I3, D14.3/ )
*
      STOP
      END
